# Changelog

## 2025-02-25 - 2.0.5 - fix(dependencies)
Update dependencies including Puppeteer and node types.

- Updated Puppeteer version from ^22.6.4 to ^24.3.0.
- Updated @types/node version from ^20.12.7 to ^22.13.5.

## 2025-02-25 - 2.0.4 - fix(IncognitoBrowser)
Enhance IncognitoBrowser error handling and process management

- Improve error handling during browser disconnection and process management.
- Ensure safe re-launch of the browser if it disconnects while the status is 'started'.
- Add logging for critical operations like launching without sandbox.

## 2024-04-12 to 2024-05-29 - 2.0.3 - Minor Updates
Various minor updates and configuration changes were made during this period.

- Updated project description.
- Updated TypeScript configuration.

## 2023-07-10 to 2024-04-12 - 2.0.2 - Organizational and Configuration Updates
This release cycle focused on organizational changes and configuration updates.

- Switched to new organization scheme.
- Updated `npmextra.json` to include new git host information.
- Made updates to TypeScript configuration.

## 2022-03-24 to 2022-07-18 - 2.0.0 to 2.0.1 - Core Updates and Fixes
During these versions, significant internal changes were made with continued improvements.

- **BREAKING CHANGE:** Switched to ECMAScript Modules (ESM) format.
- Multiple fixes in the core module, enhancing stability.